随着 Node.js 17 的生命周期结束,是时候看看您需要更改哪些内容才能继续使用受支持的开发环境版本。

Node.js 17 是 Node.js 的一个版本,于 2021 年 10 月 19 日发布。它引入了几个新特性,例如支持 Open SSL 3.0、Readline Promise API,并将 JavaScript V8 引擎升级到 V8 9.5。

但截至 2022 年 6 月 1 日,Node.js 17 已达到生命周期终止 (EOL),将不再受支持。以下是您需要做的。

EOL 是什么意思?

当 Node.js 版本达到 EOL 时,意味着 Node.js 团队不再支持该版本的 Node.js。它将不再接收任何类型的更新,包括错误修复,并且会慢慢变得更难使用,因为第三方软件将需要更新版本的 Node.js 才能运行。

为什么 Node.js 17 已经达到 EOL?

考虑到 Node.js 17 仅在 8 个月前发布,您可能想知道:为什么它已经达到 EOL 了?

这实际上是设计使然。Node.js 的所有奇数版本在发布八个月后都会达到 EOL。为什么?因为奇数版本旨在频繁更改,并尽快添加新功能。奇数版本适用于经常升级 Node.js 版本的人。

然而,偶数版本旨在强调稳定性和安全性,用于频繁升级 Node.js 可能乏味或困难的生产应用程序。

Node.js 的偶数版本通常从发布之日起总共支持 30 个月。

如何检查您是否在使用 Node.js 17

您可能在不知情的情况下使用 Node.js 17,尤其是如果您最近必须升级 Node.js 安装以使用其他一些软件。

要验证您安装的 Node.js 版本,请在您的设备上打开终端(命令行)并键入:

linuxmi@linuxmi /home/linuxmi/www.linuxmi.com                              
⚡ node -v

如果您的设备上安装了 Node.js,此命令将输出您安装的 Node.js 的版本号,前缀为字母“v”。

运行命令时,输出应如下所示:

v17.9.0

如果您使用 Node.js 17 该怎么办

如果您当前安装了 Node.js 17,由于 Node.js 17 已达到 EOL,理想的做法是切换到仍受支持的 Node.js 版本。

您可以升级到 Node.js 18,它将支持到 2025 年,或者降级到 Node.js 16,它将支持到 2024 年。

升级到 Node.js 18 是更好的选择,因为它具有更多功能,并且支持的时间比 Node.js 16 长,但是如果您不能或不想升级到 Node.js 18,请降级到 Node .js 16 很好。

如何更改您的 Node.js 版本

如果你想改变你的 Node.js 版本,你有两个选择:

  • 使用 Node.js 的版本管理器。
  • 在您的设备上卸载 Node.js,然后从官方网站下载您想要的版本。

更改 Node.js 版本的最简单方法是使用版本管理器。

如果 Node.js 安装在 Linux 或 macOS 机器上,您应该使用Node Version Manager (nvm)。如果 Node.js 安装在 Windows 机器上,您应该使用nvm-windows代替。

您需要更改 Node.js 版本吗?

如果您使用的是 Node.js 17,则需要更改您的 Node.js 版本。为什么?

Node.js 17 已达到其 EOL 的事实意味着:

  • 您的安装将始终容易受到更高版本中修复的安全问题的影响。
  • 您会遇到当前安装的任何错误。
  • 您将无法访问将来发布的任何功能。
  • 随着时间的推移,安装新软件将变得越来越困难,因为它们需要受支持的 Node.js 版本。

这并不意味着如果您不立即更改 Node.js 的版本,将会发生任何灾难性的事情。但是,您继续使用不受支持的 Node.js 版本的时间越长,您承担的风险就越大,使用起来也就越困难。如果您安装了 Node.js 17,您迟早需要更改您的 Node.js 版本。

是时候获取新版本的 Node.js

Node.js 团队不再支持 Node.js 17,因为它是八个月前发布的,并且已达到 EOL。

因此,您需要检查您使用的 Node.js 版本,以便知道您是否使用 Node.js 17。如果是,您需要尽快更改版本(通过使用版本管理器或通过重新安装 Node.js)。

为什么?为避免安全漏洞,请获取新功能,并确保您在使用未来的软件时不会出现问题。

发表评论